Raritan PX2/PX3 JSON-RPC API

Classes | Enumerations
auth::ldapsrv Module Reference

LDAP server interface. More...

## Classes
struct | ServerSettings_2_0_0
| Server settings. More...

## Enumerations
enum | ServerType { ACTIVE_DIRECTORY, OPEN_LDAP }
| LDAP server type. More...
enum | SecurityProtocol { SEC_PROTO_NONE, SEC_PROTO_SSL, SEC_PROTO_STARTTLS }
| LDAP server type. More...

## Detailed Description

LDAP server interface.

## Enumeration Type Documentation

## ◆ SecurityProtocol

enum auth::ldapsrv::SecurityProtocol

LDAP server type.

Enumerator
SEC_PROTO_NONE | no security protocol
SEC_PROTO_SSL | use SSL
SEC_PROTO_STARTTLS | use STARTTLS

## ◆ ServerType

enum auth::ldapsrv::ServerType

LDAP server type.

Enumerator
ACTIVE_DIRECTORY | Active directory.
OPEN_LDAP | OpenLDAP.